Subject: Re: [PATCH/RFC] powerpc: Add MPC5200 Interrupt Controller support.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 05 Nov 2006 21:37:11 +1100

> > You have changed the mapping of L1/L2 but not the device-tree
> > representation to match them. Which means that you need the ugly hack
> > above. That is not goot. Fix your device-tree instead and do the same
> > split in the tree for L1/L2 than you do in the code.
> 
> There is no option here.

I don't agree. Your firmware can always be upgraded. There is no way you
will impose a broken format on everybody else. Unfortunately, being the
first implementation, that's just what you are doing...

At worst, you'll have to do a fixup pass in prom_init.c

> I have done it because other platform may add their how type/compatible/way to find the node.
> For example, I did not find any bestcomm node in the recent lite5200 device-tree.
> 
> http://ozlabs.org/pipermail/linuxppc-embedded/2006-November/024970.html

They should get there ultimately.

Ben.